Subject: Re: [PATCH 03/16] refs: add methods for the ref iterators

From: Junio C Hamano <[email-masked]>
Date: Mon, 04 Jan 2016 19:29:51 -0800

Jeff King <[email-masked]> writes:

> As much as it would be nice to clean this up before moving to multiple
> backends, though, I don't think we should make it a pre-requisite. This
> is a difficult topic as it is, and I'd rather see us make incremental
> improvement (backends, then hopefully more flexible mixing of backends)
> than get bogged down and get neither.

Oh, yes, if I sounded like this needs to be cleaned up before it can
go in, that wasn't what I meant.  After all, the single in-core
index support was adequate for our use even before the multiple
in-core index support was introduced, and we still use the API to
access the single default instance in most of the codepaths.  I'd
expect that the ref API will evolve in the same way.